ur_rna.RNAstructureUI.windows

## Class PredictWindowBase.PredictTaskBase

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

- All Implemented Interfaces:
    java.lang.Runnable, PredictWindowBase.BackgroundTask
  Direct Known Subclasses:
    PredictBimolStructureWindow.PredictTask, PredictMultiStructureWindow.PredictTask, PredictSingleStructureWindow.PredictSingleStructureTask, PredictTwoStructureWindow.PredictTask
  Enclosing class:
    PredictWindowBase

      public abstract static class PredictWindowBase.PredictTaskBase
      extends java.lang.Object
      implements PredictWindowBase.BackgroundTask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canCancel`
    `java.lang.String` | `errorMessage`
    `boolean` | `hadError`
    `protected boolean` | `isCanceled`
    `protected int` | `nextStepWork`
    `protected java.lang.String` | `status`
    `protected ProgressHandler` | `stepProgress`
    `protected int` | `workDone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredictTaskBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `protected boolean` | `checkError(int... list)`
    `protected boolean` | `checkError(RNA... rnaList)`
    `protected boolean` | `checkError(RNAstructureBackendCalculator... list)`
    `protected boolean` | `checkError(java.lang.String... list)`
    `protected boolean` | `checkError(TwoRNA... rnaList)`
    `int` | `getProgress()`
    `java.lang.String` | `getStatus()`
    `boolean` | `isCancelable()`
    `protected void` | `nextStep(java.lang.String stepStatus, boolean stepCancel, int stepWork)`
    `boolean` | `onComplete()` Show the results window.
    `void` | `run()`
    `protected abstract void` | `runCalc()`
    `protected void` | `setError(java.lang.String message)`
    `protected abstract boolean` | `showResults()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### canCancel

          protected boolean canCancel

    - #### errorMessage

          public java.lang.String errorMessage

    - #### hadError

          public boolean hadError

    - #### isCanceled

          protected boolean isCanceled

    - #### nextStepWork

          protected int nextStepWork

    - #### status

          protected java.lang.String status

    - #### stepProgress

          protected ProgressHandler stepProgress

    - #### workDone

          protected int workDone

  - ### Constructor Detail

    - #### PredictTaskBase

          public PredictTaskBase()

  - ### Method Detail

    - #### cancel

          public void cancel()

      Specified by:
        `cancel` in interface `PredictWindowBase.BackgroundTask`

    - #### checkError

          protected boolean checkError(int... list)

    - #### checkError

          protected boolean checkError(RNA... rnaList)

    - #### checkError

          protected boolean checkError(RNAstructureBackendCalculator... list)

    - #### checkError

          protected boolean checkError(java.lang.String... list)

    - #### checkError

          protected boolean checkError(TwoRNA... rnaList)

    - #### getProgress

          public int getProgress()

      Specified by:
        `getProgress` in interface `PredictWindowBase.BackgroundTask`

    - #### getStatus

          public java.lang.String getStatus()

      Specified by:
        `getStatus` in interface `PredictWindowBase.BackgroundTask`

    - #### isCancelable

          public boolean isCancelable()

      Specified by:
        `isCancelable` in interface `PredictWindowBase.BackgroundTask`

    - #### nextStep

          protected void nextStep(java.lang.String stepStatus,
                                  boolean stepCancel,
                                  int stepWork)

    - #### onComplete

          public boolean onComplete()

      Show the results window.
      Returns:
        True if the results window could be shown. False otherwise.

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in interface `PredictWindowBase.BackgroundTask`

    - #### runCalc

          protected abstract void runCalc()

    - #### setError

          protected void setError(java.lang.String message)

    - #### showResults

          protected abstract boolean showResults()